Forge: Surface Class Reference

Forge

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Surface Class Reference

3d graph to display plots. More...

`#include <surface.h>`

## Public Member Functions
FGAPI | Surface (unsigned pNumXPoints, unsigned pNumYPoints, dtype pDataType, PlotType pPlotType=fg::FG_SURFACE, MarkerType pMarkerType=fg::FG_NONE)
| Creates a Surface object. More...
FGAPI | Surface (const Surface &other)
| Copy constructor for Plot. More...
FGAPI | ~Surface ()
| Plot Destructor. More...
FGAPI void | setColor (fg::Color col)
| Set the color of line graph(plot) More...
FGAPI void | setColor (float pRed, float pGreen, float pBlue)
| Set the color of line graph(plot) More...
FGAPI void | setAxesLimits (float pXmax, float pXmin, float pYmax, float pYmin, float pZmax, float pZmin)
| Set the chart axes limits. More...
FGAPI void | setAxesTitles (const char *pXTitle, const char *pYTitle, const char *pZTitle)
| Set axes titles. More...
FGAPI float | xmax () const
| Get X-Axis maximum value. More...
FGAPI float | xmin () const
| Get X-Axis minimum value. More...
FGAPI float | ymax () const
| Get Y-Axis maximum value. More...
FGAPI float | ymin () const
| Get Y-Axis minimum value. More...
FGAPI float | zmax () const
| Get Z-Axis maximum value. More...
FGAPI float | zmin () const
| Get Z-Axis minimum value. More...
FGAPI unsigned | vbo () const
| Get the OpenGL Vertex Buffer Object identifier. More...
FGAPI unsigned | size () const
| Get the OpenGL Vertex Buffer Object resource size. More...
FGAPI internal::_Surface * | get () const
| Get the handle to internal implementation of _Surface. More...

## Detailed Description

3d graph to display plots.

## Constructor & Destructor Documentation

FGAPI Surface | ( | unsigned | pNumXPoints,
|  | unsigned | pNumYPoints,
|  | dtype | pDataType,
|  | PlotType | pPlotType = `fg::FG_SURFACE`,
|  | MarkerType | pMarkerType = `fg::FG_NONE`
| ) |  |

Creates a Surface object.

Parameters

  [in] | pNumXPoints | is number of data points along X dimension
  [in] | pNumYPoints | is number of data points along Y dimension
  [in] | pDataType | takes one of the values of FGType that indicates the integral data type of plot data

FGAPI Surface | ( | const Surface & | other | ) |

Copy constructor for Plot.

Parameters

  [in] | other | is the Plot of which we make a copy of.

FGAPI ~Surface | ( |  | ) |

Plot Destructor.

## Member Function Documentation

FGAPI internal::_Surface* get | ( |  | ) | const

Get the handle to internal implementation of _Surface.

FGAPI void setAxesLimits | ( | float | pXmax,
|  | float | pXmin,
|  | float | pYmax,
|  | float | pYmin,
|  | float | pZmax,
|  | float | pZmin
| ) |  |

Set the chart axes limits.

Parameters

  [in] | pXmax | is X-Axis maximum value
  [in] | pXmin | is X-Axis minimum value
  [in] | pYmax | is Y-Axis maximum value
  [in] | pYmin | is Y-Axis minimum value

FGAPI void setAxesTitles | ( | const char * | pXTitle,
|  | const char * | pYTitle,
|  | const char * | pZTitle
| ) |  |

Set axes titles.

Parameters

  [in] | pXTitle | is X-Axis title
  [in] | pYTitle | is Y-Axis title
  [in] | pZTitle | is Z-Axis title

FGAPI void setColor | ( | fg::Color | col | ) |

Set the color of line graph(plot)

Parameters

  [in] | col | takes values of fg::Color to define plot color

FGAPI void setColor | ( | float | pRed,
|  | float | pGreen,
|  | float | pBlue
| ) |  |

Set the color of line graph(plot)

Parameters

  [in] | pRed | is Red component in range [0, 1]
  [in] | pGreen | is Green component in range [0, 1]
  [in] | pBlue | is Blue component in range [0, 1]

FGAPI unsigned size | ( |  | ) | const

Get the OpenGL Vertex Buffer Object resource size.

Returns
  OpenGL VBO resource size.

FGAPI unsigned vbo | ( |  | ) | const

Get the OpenGL Vertex Buffer Object identifier.

Returns
  OpenGL VBO resource id.

FGAPI float xmax | ( |  | ) | const

Get X-Axis maximum value.

Returns
  Maximum value along X-Axis

FGAPI float xmin | ( |  | ) | const

Get X-Axis minimum value.

Returns
  Minimum value along X-Axis

FGAPI float ymax | ( |  | ) | const

Get Y-Axis maximum value.

Returns
  Maximum value along Y-Axis

FGAPI float ymin | ( |  | ) | const

Get Y-Axis minimum value.

Returns
  Minimum value along Y-Axis

FGAPI float zmax | ( |  | ) | const

Get Z-Axis maximum value.

Returns
  Maximum value along Z-Axis

FGAPI float zmin | ( |  | ) | const

Get Z-Axis minimum value.

Returns
  Minimum value along Z-Axis

The documentation for this class was generated from the following file:

- surface.h